using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page 
{

    double[] avstander = { 14, 32, 85, 23, 46, 109 };
    int antallForsok = 0;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["antallForsok"] != null)
        {
            antallForsok = (int)Session["antallForsok"];
        }
    }

    protected void Page_Unload(object sender, EventArgs e)
    {
        Session["antallForsok"] = antallForsok;
    }

    private string genererMelding(int forsok)
    {
        if (forsok < 5)
        {
            return "Ikke dårlig på bare " + forsok + " forsøk...";
        }
        else if (forsok < 10)
        {
            return forsok + " forsøk er vel kanskje ikke så galt...";
        }
        else 
        {
            return "Med " + forsok + " forsøk prøvde du nesten alle muligheter...";
        }

    }


    protected void btnGjett_Click(object sender, EventArgs e)
    {
        antallForsok++;
        double avstand = Convert.ToDouble(txtAvstand.Text);
        double riktigAvstand = avstander[ddlSteder.SelectedIndex];
        labResultat.Text = @"Antall Forsøk: <img src=""pixel.jpg"" height=""25"" width=""" + antallForsok * 10 + @""" /> " + antallForsok+"<br />";

        if (riktigAvstand == avstand)
        {
            labResultat.Text += "Gratulerer. Du gjettet helt riktig!<br />" + genererMelding(antallForsok);
            antallForsok = 0;
        }
        else if (Math.Abs(riktigAvstand - avstand) < avstand * 0.1)
        {
            labResultat.Text += "Gratulerer. Du gjettet så godt som riktig (Riktig svar var "+riktigAvstand+")!<br />" + genererMelding(antallForsok);
            antallForsok = 0;
        }
        else if(riktigAvstand>avstand)
        {
            labResultat.Text += "Du gjettet for kort";
        }
        else if (riktigAvstand < avstand)
        {
            labResultat.Text += "Du gjettet for langt";
        }

          }
    protected void ddlSteder_SelectedIndexChanged(object sender, EventArgs e)
    {
        antallForsok = 0;
        labResultat.Text = "";
        txtAvstand.Text = "";
    }
}
